## lsb 3.2-4ubuntu1netbook1

=== debian/changelog ===
lsb (3.2-4ubuntu1netbook1) hardy; urgency=low

  * Suppress init script output unless INITOUTPUT is set to yes in
    /etc/default/rcS

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 16 Sep 2008 20:06:29 +0000
