## lsb 3.2-14ubuntu2

=== debian/changelog ===
lsb (3.2-14ubuntu2) intrepid; urgency=low

  * Backport from Debian:
    - Fix log_action_end_msg_pre function definition (_post was defined
      twice). (LP: #262680)

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Sep 2008 13:44:44 +0100

lsb (3.2-14ubuntu1) intrepid; urgency=low

  * Merge from debian unstable (LP: #249059), remaining changes:
    - debian/control:
      + Remove python from conflicts
      + Keep Ubuntu's Depends and Suggests
      + Update maintainer
    - debian/rules:
      + copy lsb-base-logging-ubuntu.sh
    - lsb-base-logging-ubuntu.sh:
      + logging functions suitable for Ubuntu
  * Dropped changes
    - Debian has accepted all of the status_of_proc() functionality

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 16 Jul 2008 08:56:28 -0500

lsb (3.2-12ubuntu3) intrepid; urgency=low

  * init-functions: 
    - In pidofproc(), if the kill -0 fails, use ps to detect if
      the proc is running.
    - Revert status_of_proc() functionality *back* to using pidofproc() 
      now that it can run as non-root (LP: #246735). 
    - Add support for passing a -p $pidfile parameter.

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 09 Jul 2008 16:15:05 -0500

lsb (3.2-12ubuntu2) intrepid; urgency=low

  * init-functions: Replace pidofproc() call in status_of_proc() with a
    /bin/pidof call, to allow any user to query service status (LP: #246735).

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 08 Jul 2008 15:38:55 -0500

lsb (3.2-12ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - init-functions:
      + Debian has a "return 0" that should be "return 3" per LSB spec
      + Make pidof call "set -e safe", LP: #204594
      + Add status_of_proc() function, LP: #203169
    - debian/control:
      + Remove python from conflicts
      + Keep Ubuntu's Depends and Suggests

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 04 Jun 2008 13:18:56 -0500
