=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>= 5.0.37.2), po-debconf (>= 0.5.0), dpkg-dev (>= 1.10), python-central (>= 0.5), python-all-dev
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 XS-Python-Version: current
 Homepage: http://www.linux-foundation.org/en/LSB
 
@@ -77,8 +77,8 @@
 
 Package: lsb-desktop
 Architecture: any
-Depends: lsb-graphics, fontconfig (>> 2.3.0), libfontconfig1 (>> 2.3.0), libpng12-0, libjpeg62, libglib2.0-0 (>> 2.6.2), libatk1.0-0 (>> 1.9.0), libpango1.0-0 (>> 1.8.0), libgtk2.0-0 (>> 2.6.2), libqt3-mt (>> 3.3.6), libqt4-gui (>= 4.2), libxml2, libfreetype6, libxrender1, libxft2, xdg-utils, ${misc:Depends}
-Provides: lsb-desktop-noarch, ${provides}
+Depends: lsb-graphics, fontconfig (>= 2.3.0), libfontconfig1 (>= 2.3.0), libpng12-0, libjpeg62, libglib2.0-0 (>= 2.6.2), libatk1.0-0 (>= 1.9.0), libpango1.0-0 (>= 1.8.0), libgtk2.0-0 (>= 2.6.2), libqt3-mt (>= 3.3.6), libqt4-gui (>= 4.2), libxml2, libfreetype6, libxrender1, libxft2, xdg-utils, ${misc:Depends}
+Provides: lsb-desktop-noarch, lsb-qt4, lsb-qt4-noarch, ${provides}
 Description: Linux Standard Base 3.2 Desktop support package
  The Linux Standard Base (http://www.linuxbase.org/) is a standard
  core system that third-party applications written for Linux can
@@ -165,7 +165,7 @@
 
 Package: lsb-printing
 Architecture: any
-Depends: lsb-core (>= 3.2), libcupsys2, libcupsimage2, foomatic-filters, ghostscript
+Depends: lsb-core (>= 3.2), libcupsys2, libcupsimage2, foomatic-filters, ghostscript | gs
 Provides: lsb-printing-noarch, ${provides}
 Description: Linux Standard Base 3.2 Printing package
  The Linux Standard Base (http://www.linuxbase.org/) is a standard
