=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,13 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU 2>/dev/null)
+DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
 
 # Take account of old dpkg-architecture output.
-ifeq ($(DEB_BUILD_ARCH_CPU),)
-  DEB_BUILD_ARCH_CPU := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
-  ifeq ($(DEB_BUILD_ARCH_CPU),x86_64)
-    DEB_BUILD_ARCH_CPU := amd64
+ifeq ($(DEB_HOST_ARCH_CPU),)
+  DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
+  ifeq ($(DEB_HOST_ARCH_CPU),x86_64)
+    DEB_HOST_ARCH_CPU := amd64
   endif
 endif
 
@@ -27,7 +27,7 @@
 endif
 
 # Map Debian architectures to LSB architectures
-lsbarch=${DEB_BUILD_ARCH_CPU}
+lsbarch=${DEB_HOST_ARCH_CPU}
 ifeq (${lsbarch}, i386)
 lsbarch=ia32
 endif
@@ -53,34 +53,8 @@
 
 	touch configure-stamp
 
-# Apply patches to the package
-patch: patch-stamp
-patch-stamp:
-	dh_testdir
-	@patches=debian/patches/*.patch; for patch in $$patches; do \
-		test -f $$patch || continue; \
-		echo "Applying $$patch"; \
-		patch -stuN -p1 < $$patch || exit 1; \
-	done
-	touch $@
+build: build-stamp
 
-# Remove patches from the package
-unpatch:
-	dh_testdir
-	@if test -f patch-stamp; then \
-		patches=debian/patches/*.patch; \
-		for patch in $$patches; do \
-			reversepatches="$$patch $$reversepatches"; \
-		done; \
-		for patch in $$reversepatches; do \
-			test -f $$patch || continue; \
-			echo "Reversing $$patch"; \
-			patch -suRf -p1 < $$patch || exit 1; \
-		done; \
-		rm -f patch-stamp; \
-	fi
-
-build: patch-stamp build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 
@@ -90,8 +64,7 @@
 
 	touch build-stamp
 
-clean: clean-source unpatch
-clean-source:
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp *.py[co] debian/lsb*substvars
@@ -162,15 +135,16 @@
 #	dh_undocumented
 	dh_installchangelogs -a
 	@echo >> debian/lsb-core.substvars "glibc=${LIBC}"
+#	@[ ${DEB_HOST_GNU_TYPE} != 'arm-linux-gnueabi' ] && echo >> debian/lsb-cxx.substvars "depends=libstdc++5" || true
 	@echo >> debian/lsb-core.substvars "provides=lsb-core-${lsbarch}"
 	@echo >> debian/lsb-cxx.substvars "provides=lsb-cxx-${lsbarch}"
 	@echo >> debian/lsb-graphics.substvars "provides=lsb-graphics-${lsbarch}"
-	@echo >> debian/lsb-desktop.substvars "provides=lsb-desktop-${lsbarch}"
+	@echo >> debian/lsb-desktop.substvars "provides=lsb-qt4-${lsbarch}, lsb-desktop-${lsbarch}"
 	@echo >> debian/lsb-qt4.substvars "provides=lsb-qt4-${lsbarch}"
 	@echo >> debian/lsb-multimedia.substvars "provides=lsb-multimedia-${lsbarch}"
 	@echo >> debian/lsb-languages.substvars "provides=lsb-languages-${lsbarch}"
 	@echo >> debian/lsb-printing.substvars "provides=lsb-printing-${lsbarch}"
-	@[ ${DEB_BUILD_ARCH_CPU} = 'amd64' ] && echo >> debian/lsb-core.substvars "depends=libc6-i386, lib32z1" || true
+	@[ ${DEB_HOST_ARCH_CPU} = 'amd64' ] && echo >> debian/lsb-core.substvars "depends=libc6-i386, lib32z1" || true
 	dh_link -a
 	dh_strip -a
 	dh_compress -a
@@ -184,4 +158,4 @@
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: patch unpatch build clean binary-indep binary-arch binary install configure
+.PHONY: build clean binary-indep binary-arch binary install configure
