## lsb 3.2-14ubuntu2netbook0natick1

=== debian/changelog ===
lsb (3.2-14ubuntu2netbook0natick1) natick; urgency=low

  * Add patch rule to rules file and add quilt to Build-Depends
  * 20-quiet.patch: Suppress init script output unless INITOUTPUT is set to
    yes in /etc/default/rcS

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 24 Mar 2009 16:28:53 +0000
