=== debian/rules ===
--- 
+++ 
@@ -53,8 +53,34 @@
 
 	touch configure-stamp
 
-build: build-stamp
+# Apply patches to the package
+patch: patch-stamp
+patch-stamp:
+	dh_testdir
+	@patches=debian/patches/*.patch; for patch in $$patches; do \
+		test -f $$patch || continue; \
+		echo "Applying $$patch"; \
+		patch -stuN -p1 < $$patch || exit 1; \
+	done
+	touch $@
 
+# Remove patches from the package
+unpatch:
+	dh_testdir
+	@if test -f patch-stamp; then \
+		patches=debian/patches/*.patch; \
+		for patch in $$patches; do \
+			reversepatches="$$patch $$reversepatches"; \
+		done; \
+		for patch in $$reversepatches; do \
+			test -f $$patch || continue; \
+			echo "Reversing $$patch"; \
+			patch -suRf -p1 < $$patch || exit 1; \
+		done; \
+		rm -f patch-stamp; \
+	fi
+
+build: patch-stamp build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 
@@ -64,7 +90,8 @@
 
 	touch build-stamp
 
-clean:
+clean: clean-source unpatch
+clean-source:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp *.py[co] debian/lsb*substvars
@@ -158,4 +185,4 @@
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: patch unpatch build clean binary-indep binary-arch binary install configure
