## lsb 3.2-15osso2

=== debian/changelog ===
lsb (3.2-15osso2) unstable; urgency=low

  * Added python-dev build dependency

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 04 Aug 2008 11:31:14 +0300

lsb (3.2-15osso1) unstable; urgency=low

  * Merged osso changes.
  * Osso release (3.1-23osso1):
    - changed maintainer
    - fixed dependences for osso
    - fixed build and postinst scripts
    - removed unneeded packages

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 20 Feb 2007 12:31:12 +0200
