=== debian/control ===
Source: lsb
Section: misc
Priority: extra
Maintainer: Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
Original-Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), po-debconf (>= 0.5.0), dpkg-dev (>= 1.10), python-dev
Standards-Version: 3.8.0
XS-Python-Version: current
Homepage: http://www.linux-foundation.org/en/LSB

Package: lsb-core
Architecture: any
Depends: lsb-release, ${glibc}, ${python:Depends}, ${misc:Depends}, ${depends}, lsb-base
Provides: lsb-core-noarch, ${provides}
Conflicts: python (>= 2.6), lsb (<< 2.0-2)
Replaces: lsb (<< 2.0-2)
XB-Python-Version: ${python:Versions}
Description: Linux Standard Base 3.2 core support package
 The Linux Standard Base (http://www.linuxbase.org/) is a standard
 core system that third-party applications written for Linux can
 depend upon.
 .
 This package provides an implementation of the core of version 3.2 of
 the Linux Standard Base for Debian on the Intel x86, Intel ia64
 (Itanium), IBM S390, and PowerPC 32-bit architectures with the Linux
 kernel. Future revisions of the specification and this package may
 support the LSB on additional architectures and kernels.
 .
 The intent of this package is to provide a best current practice way
 of installing and running LSB packages on Debian GNU/Linux. Its
 presence does not imply that Debian fully complies
 with the Linux Standard Base, and should not be construed as a
 statement that Debian is LSB-compliant.

Package: lsb
Architecture: all
Depends: lsb-core
Description: Linux Standard Base 3.2 support package
 The Linux Standard Base (http://www.linuxbase.org/) is a standard
 core system that third-party applications written for Linux can
 depend upon.
 .
 This package provides an implementation of all modules of version 3.2
 of the Linux Standard Base for Debian on the Intel x86, Intel ia64
 (Itanium), IBM S390, and PowerPC 32-bit architectures with the Linux
 kernel. Future revisions of the specification and this package may
 support the LSB on additional architectures and kernels.
 .
 The intent of this package is to provide a best current practice way
 of installing and running LSB packages on Debian GNU/Linux. Its
 presence does not imply that Debian fully complies
 with the Linux Standard Base, and should not be construed as a
 statement that Debian is LSB-compliant.

Package: lsb-base
Architecture: all
Depends: sed
Replaces: lsb-core (<< 2.0-6), lsb (<< 2.0-6)
Conflicts: lsb-core (<< 2.0-6), lsb (<< 2.0-6)
Priority: required
Description: Linux Standard Base 3.2 init script functionality
 The Linux Standard Base (http://www.linuxbase.org/) is a standard
 core system that third-party applications written for Linux can
 depend upon.
 .
 This package only includes the init-functions shell library, which
 may be used by other packages' initialization scripts for console
 logging and other purposes.

Package: lsb-release
Architecture: all
Depends: ${python:Depends}
Recommends: apt
Suggests: lsb
XB-Python-Version: ${python:Versions}
Description: Linux Standard Base version reporting utility
 The Linux Standard Base (http://www.linuxbase.org/) is a standard
 core system that third-party applications written for Linux can
 depend upon.
 .
 The lsb-release command is a simple tool to help identify the Linux
 distribution being used and its compliance with the Linux Standard Base.
 LSB conformance will not be reported unless the required metapackages are
 installed.
 .
 While it is intended for use by LSB packages, this command may also
 be useful for programmatically distinguishing between a pure Debian
 installation and derived distributions.
